Subject: Re: WU-FTPD Implementation Problem

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Wed, 26 Mar 1997 15:48:51 +1100 (EST)

Derek,

the ftpd for anonymous users will chroot
to determine whats wrong with the ls command, try this
truss -f chroot ~ftp /bin/ls | more

where ~ftp is the anonymous chrooted environment. The output of the command
should tell you what needs to be where.

ls should be in bin
the libraries should be in ~ftp/usr/lib

-rwxr-xr-x   1 bin      bin       107532 Nov 21 14:10 ld.so.1
-rwxr-xr-x   1 bin      bin       664048 Oct 28  1995 libc.so.1
-rwxr-xr-x   1 bin      bin         2568 Nov 21 14:10 libdl.so.1
-rwxr-xr-x   1 bin      bin        15304 Oct 25  1995 libintl.so.1
-rwxr-xr-x   1 bin      bin        39340 Oct 25  1995 libw.so.1 

this should at least get you going, you may need other directories and
libraries and devices to get complete directory listings with users and groups.

your problem with get and put sound like they may just be permissions
problems either in the files and directories modes or you need suitable
entries in the ftpaccess file (or both).

Geofft

>What are the permissions and ownerships of these directories?
>
>At 01:50 PM 3/25/97 -0800, Derek Pizzagoni wrote:
>>I just installed the 2.4.2 Beta 12 version of the FTPD on a Solaris 2.5
>>box, and I am having a problem.  Normal users are able to connect,
>>transfer files, list directories, etc...  Anonymous users can connect,
>>but then can not do anything other than change directories and PWD.  I'm
>>sure I haven't tried every command, but I know that they can not PUT,
>>GET, or LS.
>>
>>My anonymous tree is set up as follows:
>>
>>ftp
>>   bin
>>      ls (file)
>>   dev
>>      tcp (file)
>>      zero (file)
>>   etc
>>      group (file)
>>      passwd (file)
>>   incoming
>>   lib
>>      libc.so.1 (file)
>>      libdl.so.1 (file)
>>      libintl.so.1 (file)
>>      libw.so.1 (file)
>>   pub
>>   usr
>>      lib
>>         ld.so (file)
>>         libc.so.1 (file)
>>
>>Whenever I try to do an ls, put, or get, I get the following error:
>>
>>425 Can't create data socket (0.0.0.0,20): Bad file number.
>
>
>======================================================
>Steven K. Buehler
>S & B Computers
>Rockford Illinois, USA
>Phone: 815-398-7169
>Fax: 815-398-7266
>======================================================
>
>
Geoff Terry    Systems & Network Support
ACR Net        Sapphire Coast NSW 2550
Australia
Ph 064 923677  Mobile 015 668 227 Fax 064 924594